Skip to content
Start here

Get certificate log details

client.Radar.CT.Logs.Get(ctx, logSlug, query) (*CTLogGetResponse, error)
GET/radar/ct/logs/{log_slug}

Retrieves the requested certificate log information.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
logSlug string

Certificate log slug.

maxLength100
query CTLogGetParams
Format param.Field[CTLogGetParamsFormat]optional

Format in which results will be returned.

const CTLogGetParamsFormatJson CTLogGetParamsFormat = "JSON"
const CTLogGetParamsFormatCsv CTLogGetParamsFormat = "CSV"
ReturnsExpand Collapse
type CTLogGetResponse struct{…}
CertificateLog CTLogGetResponseCertificateLog
API CTLogGetResponseCertificateLogAPI

The API standard that the certificate log follows.

One of the following:
const CTLogGetResponseCertificateLogAPIRfc6962 CTLogGetResponseCertificateLogAPI = "RFC6962"
const CTLogGetResponseCertificateLogAPIStatic CTLogGetResponseCertificateLogAPI = "STATIC"
AvgThroughput float64

The average throughput of the CT log, measured in certificates per hour (certs/hour).

Description string

A brief description of the certificate log.

EndExclusive Time

The end date and time for when the log will stop accepting certificates.

formatdate-time
LastUpdate Time

Timestamp of the most recent update to the CT log.

formatdate-time
Operator string

The organization responsible for operating the certificate log.

Performance CTLogGetResponseCertificateLogPerformance

Log performance metrics, including averages and per-endpoint details.

Endpoints []CTLogGetResponseCertificateLogPerformanceEndpoint
Endpoint CTLogGetResponseCertificateLogPerformanceEndpointsEndpoint

The certificate log endpoint names used in performance metrics.

One of the following:
const CTLogGetResponseCertificateLogPerformanceEndpointsEndpointAddChainNew CTLogGetResponseCertificateLogPerformanceEndpointsEndpoint = "add-chain (new)"
const CTLogGetResponseCertificateLogPerformanceEndpointsEndpointAddChainOld CTLogGetResponseCertificateLogPerformanceEndpointsEndpoint = "add-chain (old)"
const CTLogGetResponseCertificateLogPerformanceEndpointsEndpointAddPreChainNew CTLogGetResponseCertificateLogPerformanceEndpointsEndpoint = "add-pre-chain (new)"
const CTLogGetResponseCertificateLogPerformanceEndpointsEndpointAddPreChainOld CTLogGetResponseCertificateLogPerformanceEndpointsEndpoint = "add-pre-chain (old)"
const CTLogGetResponseCertificateLogPerformanceEndpointsEndpointGetEntries CTLogGetResponseCertificateLogPerformanceEndpointsEndpoint = "get-entries"
const CTLogGetResponseCertificateLogPerformanceEndpointsEndpointGetRoots CTLogGetResponseCertificateLogPerformanceEndpointsEndpoint = "get-roots"
const CTLogGetResponseCertificateLogPerformanceEndpointsEndpointGetSth CTLogGetResponseCertificateLogPerformanceEndpointsEndpoint = "get-sth"
ResponseTime float64
Uptime float64
ResponseTime float64
Uptime float64
One of the following:
Slug string

A URL-friendly, kebab-case identifier for the certificate log.

StartInclusive Time

The start date and time for when the log starts accepting certificates.

formatdate-time
State CTLogGetResponseCertificateLogState

The current state of the certificate log. More details about log states can be found here: https://googlechrome.github.io/CertificateTransparency/log_states.html

One of the following:
const CTLogGetResponseCertificateLogStateUsable CTLogGetResponseCertificateLogState = "USABLE"
const CTLogGetResponseCertificateLogStatePending CTLogGetResponseCertificateLogState = "PENDING"
const CTLogGetResponseCertificateLogStateQualified CTLogGetResponseCertificateLogState = "QUALIFIED"
const CTLogGetResponseCertificateLogStateReadOnly CTLogGetResponseCertificateLogState = "READ_ONLY"
const CTLogGetResponseCertificateLogStateRetired CTLogGetResponseCertificateLogState = "RETIRED"
const CTLogGetResponseCertificateLogStateRejected CTLogGetResponseCertificateLogState = "REJECTED"
StateTimestamp Time

Timestamp of when the log state was last updated.

formatdate-time
SubmittableCERTCount string

Number of certificates that are eligible for inclusion to this log but have not been included yet. Based on certificates signed by trusted root CAs within the log’s accepted date range.

SubmittedCERTCount string

Number of certificates already included in this CT log.

URL string

The URL for the certificate log.

Get certificate log details

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/radar"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  log, err := client.Radar.CT.Logs.Get(
    context.TODO(),
    "argon2024",
    radar.CTLogGetParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", log.CertificateLog)
}
{
  "result": {
    "certificateLog": {
      "api": "RFC6962",
      "avgThroughput": 0,
      "description": "Google 'Argon2024' log",
      "endExclusive": "2025-01-01T00:00:00Z",
      "lastUpdate": "2025-01-01T00:00:00Z",
      "operator": "Google",
      "performance": {
        "endpoints": [
          {
            "endpoint": "add-chain (new)",
            "responseTime": 0,
            "uptime": 0
          }
        ],
        "responseTime": 0,
        "uptime": 0
      },
      "related": [
        {
          "description": "Google 'Argon2024' log",
          "endExclusive": "2025-01-01T00:00:00Z",
          "slug": "argon2024",
          "startInclusive": "2024-01-01T00:00:00Z",
          "state": "USABLE"
        }
      ],
      "slug": "argon2024",
      "startInclusive": "2024-01-01T00:00:00Z",
      "state": "USABLE",
      "stateTimestamp": "2025-02-01T08:53:20Z",
      "submittableCertCount": "10",
      "submittedCertCount": "10",
      "url": "https://ct.googleapis.com/logs/us1/argon2024/"
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "certificateLog": {
      "api": "RFC6962",
      "avgThroughput": 0,
      "description": "Google 'Argon2024' log",
      "endExclusive": "2025-01-01T00:00:00Z",
      "lastUpdate": "2025-01-01T00:00:00Z",
      "operator": "Google",
      "performance": {
        "endpoints": [
          {
            "endpoint": "add-chain (new)",
            "responseTime": 0,
            "uptime": 0
          }
        ],
        "responseTime": 0,
        "uptime": 0
      },
      "related": [
        {
          "description": "Google 'Argon2024' log",
          "endExclusive": "2025-01-01T00:00:00Z",
          "slug": "argon2024",
          "startInclusive": "2024-01-01T00:00:00Z",
          "state": "USABLE"
        }
      ],
      "slug": "argon2024",
      "startInclusive": "2024-01-01T00:00:00Z",
      "state": "USABLE",
      "stateTimestamp": "2025-02-01T08:53:20Z",
      "submittableCertCount": "10",
      "submittedCertCount": "10",
      "url": "https://ct.googleapis.com/logs/us1/argon2024/"
    }
  },
  "success": true
}